Package ghidra.program.model.pcode

# Class MappedDataEntry

java.lang.Object
ghidra.program.model.pcode.SymbolEntry
ghidra.program.model.pcode.MappedEntry
ghidra.program.model.pcode.MappedDataEntry

public class MappedDataEntry extends MappedEntry
A normal address based HighSymbol mapping with an associated Data object

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.pcode.MappedEntry

  `storage`

  ### Fields inherited from class ghidra.program.model.pcode.SymbolEntry

  `pcaddr, symbol`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MappedDataEntry(HighSymbol sym)`
  Constructor for use with restoreXML
  `MappedDataEntry(HighSymbol sym, VariableStorage store, Data d)`
  Construct given a symbol, storage, and a backing Data object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder)`
  Decode this entry from the stream.
  `Data`
  `getData()`
  `boolean`
  `isReadOnly()`
  `boolean`
  `isVolatile()`

  ### Methods inherited from class ghidra.program.model.pcode.MappedEntry

  `encode, getSize, getStorage`

  ### Methods inherited from class ghidra.program.model.pcode.SymbolEntry

  `decodeRangeList, encodeRangelist, getPCAdress`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MappedDataEntry

    public MappedDataEntry(HighSymbol sym)
    Constructor for use with restoreXML
    Parameters:
      `sym` - is the owning HighSymbol

  - ### MappedDataEntry

    public MappedDataEntry(HighSymbol sym, VariableStorage store, Data d)
    Construct given a symbol, storage, and a backing Data object
    Parameters:
      `sym` - the given symbol
      `store` - the given storage
      `d` - the backing Data object

- ## Method Details

  - ### getData

    public Data getData()
    Returns:
      the backing Data object

  - ### decode

    public void decode(Decoder decoder) throws DecoderException
    Description copied from class: `SymbolEntry`
    Decode this entry from the stream. Typically more than one element is consumed.
    Overrides:
      `decode` in class `MappedEntry`
    Parameters:
      `decoder` - is the stream decoder
    Throws:
      `DecoderException` - for invalid encodings

  - ### isReadOnly

    public boolean isReadOnly()
    Overrides:
      `isReadOnly` in class `MappedEntry`
    Returns:
      true if the mapped storage is read-only

  - ### isVolatile

    public boolean isVolatile()
    Overrides:
      `isVolatile` in class `MappedEntry`
    Returns:
      true if the mapped storage is volatile